Package org.zkoss.stateless.util

## Interface ActionHandler2<A,​B>

- All Superinterfaces:
    `ActionHandler`, `CheckedConsumer2<A,​B>`, `java.io.Serializable`
  All Known Subinterfaces:
    `ActionType.OnAcrossPage2<A,​B>`, `ActionType.OnAdjustCols2<A,​B>`, `ActionType.OnAdjustFrozenCols2<A,​B>`, `ActionType.OnAdjustRows2<A,​B>`, `ActionType.OnAfterRender2<A,​B>`, `ActionType.OnAfterSize2<A,​B>`, `ActionType.OnAnchorPos2<A,​B>`, `ActionType.OnBlur2<A,​B>`, `ActionType.OnBookmarkChange2<A,​B>`, `ActionType.OnCameraUnavailable2<A,​B>`, `ActionType.OnCancel2<A,​B>`, `ActionType.OnCellClick2<A,​B>`, `ActionType.OnChange2<A,​B>`, `ActionType.OnChanging2<A,​B>`, `ActionType.OnCheck2<A,​B>`, `ActionType.OnCheckSelectAll2<A,​B>`, `ActionType.OnClear2<A,​B>`, `ActionType.OnClick2<A,​B>`, `ActionType.OnClientInfo2<A,​B>`, `ActionType.OnClose2<A,​B>`, `ActionType.OnColSize2<A,​B>`, `ActionType.OnCreate2<A,​B>`, `ActionType.OnCrop2<A,​B>`, `ActionType.OnCtrlKey2<A,​B>`, `ActionType.OnDataLoading2<A,​B>`, `ActionType.OnDeferredEvaluation2<A,​B>`, `ActionType.OnDesktopRecycle2<A,​B>`, `ActionType.OnDetect2<A,​B>`, `ActionType.OnDivisionSize2<A,​B>`, `ActionType.OnDoubleClick2<A,​B>`, `ActionType.OnDrop2<A,​B>`, `ActionType.OnError2<A,​B>`, `ActionType.OnFocus2<A,​B>`, `ActionType.OnFulfill2<A,​B>`, `ActionType.OnGroup2<A,​B>`, `ActionType.OnHistoryPopState2<A,​B>`, `ActionType.OnInnerWidth2<A,​B>`, `ActionType.OnItemClick2<A,​B>`, `ActionType.OnLengthLimitExceed2<A,​B>`, `ActionType.OnMaxFileCountExceed2<A,​B>`, `ActionType.OnMaximize2<A,​B>`, `ActionType.OnMaxsizeExceed2<A,​B>`, `ActionType.OnMinimize2<A,​B>`, `ActionType.OnModal2<A,​B>`, `ActionType.OnMouseOut2<A,​B>`, `ActionType.OnMouseOver2<A,​B>`, `ActionType.OnMove2<A,​B>`, `ActionType.OnNotify2<A,​B>`, `ActionType.OnOK2<A,​B>`, `ActionType.OnOpen2<A,​B>`, `ActionType.OnPageSize2<A,​B>`, `ActionType.OnPaging2<A,​B>`, `ActionType.OnPiggyback2<A,​B>`, `ActionType.OnPortalDrop2<A,​B>`, `ActionType.OnPortalMove2<A,​B>`, `ActionType.OnRangeValueChange2<A,​B>`, `ActionType.OnRender2<A,​B>`, `ActionType.OnRightClick2<A,​B>`, `ActionType.OnRotate2<A,​B>`, `ActionType.OnSave2<A,​B>`, `ActionType.OnScriptError2<A,​B>`, `ActionType.OnScroll2<A,​B>`, `ActionType.OnScrolling2<A,​B>`, `ActionType.OnScrollPos2<A,​B>`, `ActionType.OnScrollX2<A,​B>`, `ActionType.OnScrollY2<A,​B>`, `ActionType.OnSearch2<A,​B>`, `ActionType.OnSearching2<A,​B>`, `ActionType.OnSelect2<A,​B>`, `ActionType.OnSelection2<A,​B>`, `ActionType.OnSelectSubModel2<A,​B>`, `ActionType.OnSize2<A,​B>`, `ActionType.OnSlide2<A,​B>`, `ActionType.OnSnapshotUpload2<A,​B>`, `ActionType.OnSort2<A,​B>`, `ActionType.OnStateChange2<A,​B>`, `ActionType.OnStub2<A,​B>`, `ActionType.OnSwipe2<A,​B>`, `ActionType.OnTargetClick2<A,​B>`, `ActionType.OnTimer2<A,​B>`, `ActionType.OnTimeZoneChange2<A,​B>`, `ActionType.OnTopPad2<A,​B>`, `ActionType.OnUngroup2<A,​B>`, `ActionType.OnUpload2<A,​B>`, `ActionType.OnURIChange2<A,​B>`, `ActionType.OnUser2<A,​B>`, `ActionType.OnVisibilityChange2<A,​B>`, `ActionType.OnWeekClick2<A,​B>`, `ActionType.OnZIndex2<A,​B>`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ActionHandler2<A,​B>
      extends CheckedConsumer2<A,​B>, ActionHandler

  Represents an action handler with two arguments.
  Author:
    jumperchen

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.stateless.util.ActionHandler

      `CACHE_SIZE, DEFAULT_VALUES, LOADED_CLASS_CACHE, LOADED_LAMBDA_CACHE, LOADED_METHOD_CACHE`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getParameterCount()` | Returns the parameter count for this action handler.

    - ### Methods inherited from interface org.zkoss.stateless.util.ActionHandler

      `call, call`

    - ### Methods inherited from interface org.zkoss.stateless.function.CheckedConsumer2

      `accept, andThen`

- - ### Method Detail

    - #### getParameterCount

          default int getParameterCount()

      Description copied from interface: `ActionHandler`
      Returns the parameter count for this action handler.
      Specified by:
        `getParameterCount` in interface `ActionHandler`
      Returns:
        A number of parameters of a lambda method or a method reference.